name: wanna_battle
description: A new Flutter project.

version: 1.0.0+1

environment:
  sdk: ">=2.1.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  cupertino_icons: ^0.1.2
  flutter_screenutil: ^0.4.2
  http: ^0.12.0
  pull_to_refresh: ^1.1.6
  dio: ^2.0.10
  flutter_swiper: ^1.0.6
  redux: ^3.0.0
  flutter_redux: ^0.5.2
  redux_persist: ^0.8.0
  redux_persist_flutter: ^0.8.0
  flutter_picker: ^1.0.9
  intl: "^0.15.6"
  file_picker: ^1.3.1
  json_serializable: ^2.0.2
  shared_preferences: ^0.5.1
  package_info: ^0.4.0
  video_player: ^0.10.0
  url_launcher: ^5.0.1
  jpush_flutter: ^0.0.11
  image_cropper: ^1.0.0
  screen: ^0.0.5
  screen_stream_plugin:
    path: ./screen_stream_plugin

dev_dependencies:
  build_runner: ^1.1.1
  json_annotation: ^2.0.0
  flutter_test:
    sdk: flutter

flutter:
  uses-material-design: true

  assets:
    - images/
  fonts:
    - family: DINEngschrift
      fonts:
        - asset: fonts/DINEngschrift.ttf
    - family: AgencyFB
      fonts:
        - asset: fonts/AgencyFB.ttf